Skip to main content
POST
/
networks
/
affiliates
/
{affiliateId}
/
users
Create Affiliate User
curl --request POST \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "first_name": "Jane",
  "last_name": "Doe",
  "email": "jane@partner.com",
  "title": "Media Buyer",
  "status": "active",
  "is_primary": false
}
'
{
  "network_affiliate_user_id": 123,
  "network_affiliate_id": 123,
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "title": "<string>",
  "status": "active",
  "is_primary": true,
  "cell_phone": "<string>",
  "work_phone": "<string>",
  "user_roles": [
    123
  ],
  "time_created": 123,
  "time_saved": 123
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The unique affiliate ID.

Body

application/json
first_name
string
required

User's first name.

last_name
string
required

User's last name.

email
string
required

User's email address. Must be unique across the platform.

password
string

Initial password. Must be at least 12 characters. If omitted, the user receives an invite email.

title
string

User's job title.

status
enum<string>

User account status.

Available options:
active,
inactive
cell_phone
string

User's cell phone number.

work_phone
string

User's work phone number.

user_roles
integer[]

Array of role IDs assigned to this user.

is_primary
boolean

Whether this is the primary contact for the affiliate.

Response

200 - application/json

OK

network_affiliate_user_id
integer

Unique affiliate user ID.

network_affiliate_id
integer

The affiliate ID this user belongs to.

first_name
string

User's first name.

last_name
string

User's last name.

email
string

User's email address.

title
string

User's job title.

status
enum<string>

User account status.

Available options:
active,
inactive
is_primary
boolean

Whether this is the primary contact for the affiliate.

cell_phone
string

User's cell phone number.

work_phone
string

User's work phone number.

user_roles
integer[]

Array of role IDs assigned to this user.

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.